# Class Performance

Namespace
  adas_core.Domain.Models.SystemAlerts

Assembly
  adas-core.Domain.dll

Represents a performance-related entity, such as a metric, measurement, or record used to track and evaluate performance data.

    public class Performance

Inheritance
  object
  Performance

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Name

    public string? Name { get; set; }

#### Property Value

string

### PercentageConsumed

    public double PercentageConsumed { get; set; }

#### Property Value

double

### Unit

    public string? Unit { get; set; }

#### Property Value

string

### ValueConsumed

    public double ValueConsumed { get; set; }

#### Property Value

double

### ValueTotal

    public double ValueTotal { get; set; }

#### Property Value

double